Prerequisites

Vision Admin can be run on your system providing your system meets the following criteria:

  • Minimum Microsoft Windows version:

    • Windows 7

    • Windows 8.1

    • Windows 10 or Higher

Note - The following Windows platforms are not supported: Windows XP, Vista and RT.
Note - Vision Admin can be used with a keyboard, mouse or touch screen monitor.